Package org.eclipse.ecf.core.sharedobject

# Interface ISharedObjectConnector

All Known Implementing Classes:
  `SOConnector`

public interface ISharedObjectConnector
Implementers which represent the one-way associations between SharedObject instances within the scope of a given ISharedObjectContainer

See Also:
  - `ISharedObjectManager.connectSharedObjects(ID, ID[])`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
Dispose of this ISharedObjectConnector
`void`
`enqueue(ISharedObjectEvent event)`
Enqueue an ISharedObjectEvent to all the receivers for connector
`void`
`enqueue(ISharedObjectEvent[] events)`
Enqueue a set of ISharedObjectEvents to all the receivers for connector
`ID[]`
`getReceiverIDs()`
Get receiver IDs for connector
`ID`
`getSenderID()`
Get sender ID for connector

## Method Details

### getSenderID

ID getSenderID()
Get sender ID for connector

Returns:
  ID of shared object that is sender for this connection. Will not return null

### getReceiverIDs

ID[] getReceiverIDs()
Get receiver IDs for connector

Returns:
  ID[] of the shared objects that are the receivers for this connection. Will not return null, but may return empty ID[]

### enqueue

void enqueue(ISharedObjectEvent event) throws QueueException
Enqueue an ISharedObjectEvent to all the receivers for connector

Parameters:
  `event` - to enqueue. Must not be null.
Throws:
  `QueueException` - thrown if some problem enqueing to any receivers

### enqueue

void enqueue(ISharedObjectEvent[] events) throws QueueException
Enqueue a set of ISharedObjectEvents to all the receivers for connector

Parameters:
  `events` - [] of events to enqueue. Must not be null.
Throws:
  `QueueException` - thrown if some problem enqueing to any receivers

### dispose

void dispose()
Dispose of this ISharedObjectConnector